Skip to content
GET /unified/ats/job_form_fields

Query Parameters

Refer Specifying query parameters in Truto APIs

job_idstring

The job's unique identifier

4 supported4 required
Ashby
required
Breezy
required
Greenhouse
required
Lever
required
organization_idstring

The ID of the organization to filter the job form fields by.

1 supported
Breezy
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Job form fields

idstring
required·

The form field's unique identifier

4 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
Lever
supported
answer_visibilitystring

The form field's answer visibility inside the ATS.

Possible values:
privatepublic
1 supported
Greenhouse
supported
descriptionstring

The form field's description.

3 supported
Ashby
supported
Greenhouse
supported
Lever
supported
group_idstring

The form field's group identifier. If present, the form field is part of a group.

1 supported
Lever
supported
group_namestring

The form field's group name or label. If present, the form field is part of a group.

2 supported
Ashby
supported
Lever
supported
indexinteger

The form field's position inside a form. If group_id is present, the index is relative to the group.

4 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
Lever
supported
is_requiredboolean

Whether the form field is required or not.

4 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
Lever
supported
jobobject

The form field's job

4 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
Lever
supported
1 property
idstring

Unique identifier of the job

labelstring

The form field's label.

3 supported
Ashby
supported
Greenhouse
supported
Lever
supported
namestring

The form field's name. Use this when submitting the application.

4 supported
Ashby
supported
Breezy
supported
Greenhouse
supported
Lever
supported
optionsobject[]

The form field's options. Only present for dropdown, radio and checkbox types.

3 supported
Ashby
supported
Greenhouse
supported
Lever
supported
3 properties
idstring

The option's unique identifier

labelstring

The option's label

valuestring

The option's value

remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The form field's type. If no clear mapping exists, then raw value is returned.

Possible values:
texttextareadropdownfileradiocheckboxdatenumber
3 supported
Ashby
supported
Greenhouse
supported
Lever
supported
curl -X GET 'https://api.truto.one/unified/ats/job_form_fields?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/job_form_fields?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ats/job_form_fields"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ats',
  'jobformfields',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ats",
        "jobformfields",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())